import { Chance } from 'chance';
/**
 * array creates an array of a length between `lengthLowerInclusive` and `lengthUpperInclusive`
 * using the supplied `generator` to create elements.
 */
declare const createArrayGenerator: (chance: Chance.Chance) => <T>(lengthLowerInclusive: number, lengthUpperExclusive: number, generator: () => T) => T[];
export default createArrayGenerator;
//# sourceMappingURL=index.d.ts.map