"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _integer = _interopRequireDefault(require("../integer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * array creates an array of a length between `lengthLowerInclusive` and `lengthUpperInclusive`
 * using the supplied `generator` to create elements.
 */
const createArrayGenerator = chance => (lengthLowerInclusive, lengthUpperExclusive, generator) => {
  const integer = (0, _integer.default)(chance);
  return new Array(integer(lengthLowerInclusive, lengthUpperExclusive)).fill(null).map(() => generator());
};

var _default = createArrayGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map