"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _first_name = _interopRequireDefault(require("../first_name"));

var _last_name = _interopRequireDefault(require("../last_name"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Randomly generates a full name, e.g., `Randall Munroe`. `firstName` and `lastName` can optionally be overridden.
 */
const createFullNameGenerator = chance => (firstName, lastName) => {
  const _firstName = (0, _first_name.default)(chance);

  const _lastName = (0, _last_name.default)(chance);

  return `${firstName != null ? firstName : _firstName()} ${lastName != null ? lastName : _lastName()}`;
};

var _default = createFullNameGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map