import { Chance } from 'chance';
/**
 * Generates a random integer (could be negative!). Optionally between `lowerExclusive` and `upperExclusive`.
 * If `lowerInclusive` or `upperExclusive` are not supplied, will be between -2147483648 and 2147483647.
 */
declare const createIntegerGenerator: (chance: Chance.Chance) => (lowerInclusive?: number, upperExclusive?: number) => number;
export default createIntegerGenerator;
//# sourceMappingURL=index.d.ts.map