import { Chance } from 'chance';
/**
 * Generates a random mongodb-friendly objectId string.
 * TODO(serhalp) Is this necessary? Maybe just generate a random 24-character hex string?
 */
declare const createObjectIdGenerator: (chance: Chance.Chance) => ({ counter, from, machineId, processId, timestamp, to, }?: {
    counter?: number | undefined;
    from?: string | Date | undefined;
    machineId?: number | undefined;
    processId?: number | undefined;
    timestamp?: string | number | Date | undefined;
    to?: string | Date | undefined;
}) => string;
export default createObjectIdGenerator;
//# sourceMappingURL=index.d.ts.map