"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sample = _interopRequireDefault(require("../sample"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generate a random URI, e.g., `https://adl2j.goodeggs.com/ax/faj23`
 * @param {*} domain
 */
const createUriGenerator = chance => function () {
  let domain = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'goodeggs.com';
  const sample = (0, _sample.default)(chance);
  return chance.url({
    protocol: sample(['http', 'https']),
    domain
  });
};

var _default = createUriGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map