"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _first_name = _interopRequireDefault(require("../first_name"));

var _last_name = _interopRequireDefault(require("../last_name"));

var _phone_number = _interopRequireDefault(require("../phone_number"));

var _full_name = _interopRequireDefault(require("../full_name"));

var _email = _interopRequireDefault(require("../email"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createCustomerGenerators = chance => ({
  firstName: (0, _first_name.default)(chance),
  lastName: (0, _last_name.default)(chance),
  phoneNumber: (0, _phone_number.default)(chance),
  fullName: (0, _full_name.default)(chance),
  email: (0, _email.default)(chance)
});

var _default = createCustomerGenerators;
exports.default = _default;
//# sourceMappingURL=index.js.map