import { Chance } from 'chance';
/**
 * Returns a randomly-selected email address string (e.g., `dualityhiss@icicle.net`).
 * You can override either portion of the email with `username` and `domain` options.
 */
declare const createEmailGenerator: (chance: Chance.Chance) => ({ domain, username }?: {
    domain?: string | undefined;
    username?: string | undefined;
}) => string;
export default createEmailGenerator;
//# sourceMappingURL=index.d.ts.map