"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _address = _interopRequireDefault(require("../address"));

var _state = _interopRequireDefault(require("../state"));

var _zip = _interopRequireDefault(require("../zip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createLocationGenerators = chance => ({
  address: (0, _address.default)(chance),
  state: (0, _state.default)(chance),
  zip: (0, _zip.default)(chance)
});

var _default = createLocationGenerators;
exports.default = _default;
//# sourceMappingURL=index.js.map