"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _integer = _interopRequireDefault(require("../integer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Chooses one of the elements of the provided `array`.
 */
const createSampleGenerator = chance => array => {
  // Without this check, the return type must be T?, which would make this function unwieldy to use.
  // (This reflects how we intend to use fake.sample anyway.)
  if (array.length === 0) {
    throw new RangeError('fake.array cannot be passed an empty array');
  }

  const integer = (0, _integer.default)(chance);
  return array[integer(0, array.length)];
};

var _default = createSampleGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map