"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _integer = _interopRequireDefault(require("../integer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DEFAULT_CHARSET = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ ';
/**
 * Generates a random string, optionally of `length` and using chars from provided `charset`.
 */

const createStringGenerator = chance => function () {
  let length = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : (0, _integer.default)(chance)(1, 40);
  let charset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : DEFAULT_CHARSET;
  return chance.string({
    length,
    pool: charset
  });
};

var _default = createStringGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map