"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sample = _interopRequireDefault(require("../sample"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DEFAULT_TZIDS = ['America/Los_Angeles', 'America/Chicago', 'America/New_York', 'America/Denver', 'America/Juneau', 'Pacific/Honolulu'];
/**
 * Generate a random tzid, e.g., `America/Denver`.
 */

const createTzidGenerator = chance => function () {
  let tzids = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DEFAULT_TZIDS;
  return (0, _sample.default)(chance)(tzids);
};

var _default = createTzidGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map