"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _string = _interopRequireDefault(require("../string"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DEFAULT_CHARSET = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
/**
 * Generates a random word (a string without any whitespace), optionally of `length` and using chars
 * from provided `charset`.
 */

const createWordGenerator = chance => function (length) {
  let charset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : DEFAULT_CHARSET;
  return (0, _string.default)(chance)(length, charset);
};

var _default = createWordGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map